# Uses of Class
org.apache.lucene.codecs.PostingsReaderBase

Packages that use PostingsReaderBase
Package
Description
org.apache.lucene.codecs.lucene90.blocktree
BlockTree terms dictionary.
org.apache.lucene.codecs.lucene912
Lucene 9.12 file format.

## Uses of PostingsReaderBase in org.apache.lucene.codecs.lucene90.blocktree

Constructors in org.apache.lucene.codecs.lucene90.blocktree with parameters of type PostingsReaderBase
Modifier
Constructor
Description
``
`Lucene90BlockTreeTermsReader(PostingsReaderBase postingsReader, SegmentReadState state)`
Sole constructor.

## Uses of PostingsReaderBase in org.apache.lucene.codecs.lucene912

Subclasses of PostingsReaderBase in org.apache.lucene.codecs.lucene912
Modifier and Type
Class
Description
`final class`
`Lucene912PostingsReader`
Concrete class that reads docId(maybe frq,pos,offset,payloads) list with postings format.